Bug 962163 - apt-transport-spacewalk always tries to install packages that are already installed.
apt-transport-spacewalk always tries to install packages that are already ins...
Status: CLOSED WORKSFORME
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.9
All Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2013-05-12 03:27 EDT by Andrew Colin Kissa
Modified: 2017-09-28 14:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 12:01:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Colin Kissa 2013-05-12 03:27:35 EDT
Description of problem:

When using apt-transport-spacewalk on both debian and ubuntu, apt-transport-spacewalk always tries to install packages that are already installed.


Version-Release number of selected component (if applicable):1.0.8


How reproducible:


Steps to Reproduce:
1. install apt-transport-spacewalk on debian or ubuntu
2. register to a spacewalk server
3. install a package from the spacewalk server
4. run apt-get upgrade
  
Actual results:
root@ms:~# apt-get -V upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be upgraded:
   apt-transport-spacewalk (1.0.8-2 => 1.0.8-2)
   python-rhn (2.5.55-2 => 2.5.55-2)
   rhn-client-tools (1.9.10-2 => 1.9.10-2)
   rhnsd (4.9.15-2 => 4.9.15-2)
5 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/664 kB of archives.
After this operation, 676 MB of additional disk space will be used.
Do you want to continue [Y/n]? n


Expected results:

apt-get should not try to install a package that is already installed.


Additional info:
Comment 1 Milan Zázrivec 2014-01-24 12:01:11 EST
I did the same procedure (Spacewalk 2.1 nightly) as in the opening comment
with the following results:

$ apt-get -V upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

I'm going to close this report with worksforme. Please reopen with
an explaining comment if you disagree or if this is still happening
for you.
Comment 2 Eric Herget 2017-09-28 14:07:54 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.